%define major  8
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname -d %{name}
%define majorpp 6
%define libnamepp %mklibname %{name}++ %{majorpp}
%define libnameppdev %mklibname -d %{name}++

Summary:	An encoder/decoder for the Free Lossless Audio Codec
Name:		flac
Version:	1.3.0
%define subrel 2
Release:	%mkrel 2
License:	BSD and GPLv2+
Group:		Sound/Editors and Converters
URL:		http://xiph.org/flac/
Source:		http://downloads.xiph.org/releases/flac/%{name}-%{version}.tar.xz
Patch0:		flac-1.2.1-hidesyms.patch
# patches 1-3 backported from upstream, via omdv
Patch1:		flac-1.3.0-asm.patch
Patch2:		flac-1.3.0-metaflac-strcat.patch
Patch3:		flac-1.3.0-fflush.patch
Patch4:		flac-1.3.0-CVE-2014-8962.patch
Patch5:		flac-1.3.0-sf-bug418.patch
Patch6:		flac-1.3.0-CVE-2014-9028.patch
BuildRequires:	libogg-devel
%ifarch %{ix86}
BuildRequires:	nasm
%endif
BuildRequires:	id3lib-devel
BuildRequires:	gettext-devel
BuildRequires:	automake
BuildRequires:	libtool

%description
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

FLAC is comprised of 1) `libFLAC', a library which implements
reference encoders and decoders, licensed under the GNU Lesser
General Public License (LGPL); 2) `flac', a command-line program for
encoding and decoding files, licensed under the GNU General public
License (GPL); 3) `metaflac', a command-line program for editing
FLAC metadata, licensed under the GPL; 4) player plugins for XMMS
and Winamp, licensed under the GPL; and 5) documentation, licensed
under the GNU Free Documentation License.


%package -n %{libname}
Summary: Shared libraries for FLAC
Group:	System/Libraries

%description  -n %{libname}
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the C libraries.

%package -n %{libnamedev}
Summary: Libraries and headers needed for building apps using FLAC
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Requires: libogg-devel
Provides:  libflac-devel = %{version}-%{release}
Provides:  liboggflac-devel = %{version}-%{release}
Conflicts: %mklibname -d flac 7
Obsoletes: %mklibname -d flac 8

%description -n %{libnamedev}
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries and header files necessary to develop
applications using FLAC written in C.

%package -n %{libnamepp}
Summary: Shared C++ libraries for FLAC
Group: System/Libraries

%description  -n %{libnamepp}
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries for C++ applications.

%package -n %{libnameppdev}
Summary: Libraries and headers needed for building apps using FLAC++
Group: Development/C++
Requires: %{libnamepp} = %{version}-%{release}
Requires: %libnamedev = %{version}-%{release}
Provides:  libflac++-devel = %{version}-%{release}
Provides:  liboggflac++-devel = %{version}-%{release}
Obsoletes: %mklibname -d flac++ 6

%description -n %{libnameppdev}
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries and header files necessary to develop
applications using FLAC written in C++.

%prep

%setup -q
#patch0 -p1 -b .hidesyms
%patch1 -p1 -b .asm
%patch2 -p1 -b .gcc43
%patch3 -p1 -b .metaflac-strcat
%patch4 -p1 -b .CVE-2014-8962
%patch5 -p1 -b .sf-bug418
%patch6 -p1 -b .CVE-2014-9028

%build
./autogen.sh -V

rm -rf html

cp -r doc/html .
# (cg) Note that the --with-ogg is needed to prevent a lib path error
# leaking to all applications that link against libflac as the libFLAC.la
# file ultimately contains -L/usr/lib even on 64 bit platforms, which causes
# linking warnings to be shown in other applications, about incompatibile types
# for libraries where you have both 32 and 64 bit version installed like ptheads etc.
%configure2_5x \
    --disable-static \
    --disable-xmms-plugin \
    --disable-thorough-tests \
    --with-ogg

%make

%install
rm -rf %{buildroot} installed-docs

%makeinstall_std

mv %{buildroot}%{_datadir}/doc/flac-%{version} installed-docs

%clean
rm -rf %{buildroot}

%files
%doc AUTHORS COPYING* README installed-docs/*
%{_bindir}/flac
%{_bindir}/metaflac
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libFLAC.so.%{major}*

%files -n %{libnamepp}
%{_libdir}/libFLAC++.so.%{majorpp}*

%files -n %{libnamedev}
%{_includedir}/FLAC
%{_libdir}/libFLAC.la
%{_libdir}/libFLAC.so
%{_datadir}/aclocal/libFLAC.m4
%{_libdir}/pkgconfig/flac.pc

%files -n %{libnameppdev}
%{_includedir}/FLAC++
%{_libdir}/libFLAC++.la
%{_libdir}/libFLAC++.so
%{_datadir}/aclocal/libFLAC++.m4
%{_libdir}/pkgconfig/flac++.pc


%changelog
* Thu Apr 02 2015 oden <oden> 1.3.0-2.2.mga4
+ Revision: 819554
- P6: the previous fix for CVE-2014-9028 was incomplete (RHSA-2015:0767-1)

  + luigiwalser <luigiwalser>
    - add upstream patches to fix CVE-2014-8962, CVE-2014-9028, and sf bug 418

* Sat Oct 19 2013 umeabot <umeabot> 1.3.0-2.mga4
+ Revision: 529198
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 luigiwalser <luigiwalser> 1.3.0-1.mga4
+ Revision: 450908
- 1.3.0
- update URLs
- remove no longer needed patches
- disable hidesyms patch (breaks build with nasm)
- add some fixes from upstream (via omdv)
- disable static libs

* Fri Jan 11 2013 umeabot <umeabot> 1.2.1-13.mga3
+ Revision: 350466
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 1.2.1-12.mga3
+ Revision: 338538
- patch10: fix build with automake 1.13

* Fri Nov 02 2012 supp <supp> 1.2.1-11.mga3
+ Revision: 312702
- change RPM group as per new specicication

* Fri Dec 30 2011 supp <supp> 1.2.1-10.mga2
+ Revision: 188862
- rebuild for mga2

* Sun Mar 27 2011 colin <colin> 1.2.1-10.mga1
+ Revision: 77968
- Fix leakage of /usr/lib link path on 64 bit systems
- Fix build when different versions of autotools are installed

* Thu Jan 13 2011 ahmad <ahmad> 1.2.1-9.mga1
+ Revision: 7872
- drop old/unneeded scriptlets
- imported package flac

